#include <bits/stdc++.h>
using namespace std;
#define pb push_back
#define s second
#define f first

vector<int> S,T;
vector<pair<int,int>> R;
vector<long long>D;
vector<bool> I;


std::vector<int> solve(std::vector<int> A){
 int n=0;
vector<pair<int,int>>amus;
 for(int i:A){
        n++;

 } for(int i=0; i<n; i++) amus.pb({A[i],i});
 sort(amus.begin(), amus.end());
    vector<int>send;
    for(int i=0; i<n; i++){
         if(i%2==0) send.pb(amus[i].s);
    }
    for(int i=0; i<n; i++){
         if(i%2==1) send.pb(amus[i].s);
    }
    return send;

};